<?php

echo '<pre>';

// Az SMS küldéskor csak az összeállított URL-t kell meghívnunk:
// érdemes ezt egy függvényben vagy egy osztálymetódusban elhelyezni.
//
// Az alábbi példa az egyszerű URL hívás mellett a minimálisan javasolt
// hibakezelést is bemutatja.
//
// Nagyon figyeljünk arra, hogy az üzenet szövege UTF-8 kódolásban 
// legyen! Ettől eltérő kódlap használata esetén az mb_convert_encoding()
// segítségével átalakíthatjuk a karaktereket: 
//
//   $message = mb_convert_encoding( $message, 'utf-8', 'iso-8859-2' );
//   (a 2. paraméter mindig a cél kódlap, a 3. paraméter az eredeti kódlap)

$url = 
   'http://api.bipkampany.hu/sendsms' .
   '?key='       . rawurlencode( 'SAJAT_API_KEY' ) . 
   '&message='   . rawurlencode( 'üzenet szövege' ) .
   '&number=36301234567' . 
   '&senderid=BipKampany'
;

naplozas( $url );
$result = file_get_contents( $url );

if ( $result === false ) {

  hibauzenet(
    'sikertelen SMS kuldes: az API nem elerheto (halozati hiba?)',
    array( 'url' => $url )
  );

}
else {

  parse_str( $result, $resultparts );

  switch ( $resultparts['result'] ) {

    case 'OK':
      // az SMS feladas sikerult
      naplozas('OK');
      break;

    case 'ERR':
      // hiba tortent: kod a 'code', 
      // szoveg a 'message' parameterben
      hibauzenet( 'hiba tortent SMS feladaskor', $resultparts );
      break;

  }

}

echo '</pre>';

function hibauzenet( $message, $result = array() ) {

  $body = var_export( $result, true );
  echo '<pre>' . $body . '</pre>';

  mail( 
    'fejleszto@example.com', 
    $message,
    $body
  );

  naplozas( $body );

}

function naplozas( $uzenet ) {

  $f = fopen( 'bipapi-' . date('Y-m') . '.txt', 'a' );
  fputs( $f, date("Y-m-d H:i:s") . ' ' . $uzenet . "\n" );
  fclose( $f );

}

?>