<?php

include('libraries/bip_api.php');

echo '<pre>';

$bip = new BipKampanyAPI( 'SAJAT_API_KEY' );

// ha a logfilename-et beallitjuk, hiba eseten a BipKampany 
// osztaly egyszeruen fileba logolja a meghivott URL-t es 
// a valaszul kapott ertekeket.
$bip->logFilename = 'bip-' . date("Y-m") . '.txt';

try {

  $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany' );

  // idozitessel:
  // $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany', '2011-01-01 15:25:35' );

  // unicode tipusu uzenet, idozites nelkul:
  // $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany', null, 'unicode' );

  // unicode tipusu uzenet, idozitessel:
  // $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany', '2011-01-01 15:25:35', 'unicode' );

  // callback hasznalata:
  // $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany', null, null, 'ALL', 'helyidb_1234' );

  // callback hasznalata nehany allapot kivalasztasaval:
  // $bip->sendSMS( '36201234567', 'üzenet szövege', 'BipKampany', null, null, 'DELIVERED,REJECTED,UNDELIVERABLE', 'helyidb_1234' );

}
catch ( BipKampanyAPIException $e ) {
  // a BipKampanyAPIException kivetelt 
  // csak akkor kapjuk meg, ha az API az ismert
  // modon hibat jelzett vissza: pl. hibas jelszo, 
  // nem elegendo egyenleg, stb.
  mail(
    'emailcim@example.com',
    'A BIP API hibat jelzett vissza',
    $e
  );

  // egy teljes hibauzenet sztring
  echo $e; 
  // a valasz tombkent, result, code es message indexekkel
  print_r( $bip->getLastResult() ); 
  
}
catch ( Exception $e ) {
  // altalanos kivetelt akkor kaphatunk,
  // ha egyeb, nem tamogatott muvelet tortent:
  // - nem ismert API valaszt kaptunk
  // - nem volt elerheto az API HTTP-n keresztul
  // - nem irhato a logfile
  mail(
    'emailcim@example.com',
    'Altalanos hiba a BIP API hasznalata soran',
    $e
  );

  // egy teljes hibauzenet sztring
  echo $e; 
  // a valasz tombkent, result, code es message indexekkel
  print_r( $bip->getLastResult() ); 

}

echo '</pre>';

?>